This is the mail archive of the
gcc-patches@gcc.gnu.org
mailing list for the GCC project.
PATCH: mkfixinc.sh fixes
- To: Bruce Korb <bkorb at cruzio dot com>
- Subject: PATCH: mkfixinc.sh fixes
- From: Laurynas Biveinis <lauras at softhome dot net>
- Date: Mon, 04 Dec 2000 06:30:33 +0100
- CC: gcc-patches at gcc dot gnu dot org
Hello,
this patch reenables fixincludes for linux and reverts your
last change - where target defaults to build_canonical if not
defined. AFAICT target is _always_ defined so this check is
redudant.
Laurynas
2000-12-04 Laurynas Biveinis <lauras@softhome.net>
* fixinc/mkfixinc.sh: exit with error if build system
name is not given. Enable fixincludes for Linux/GNU.
Index: mkfixinc.sh
===================================================================
RCS file: /cvs/gcc/egcs/gcc/fixinc/mkfixinc.sh,v
retrieving revision 1.32
diff -u -r1.32 mkfixinc.sh
--- mkfixinc.sh 2000/12/03 20:40:17 1.32
+++ mkfixinc.sh 2000/12/04 04:21:43
@@ -14,7 +14,8 @@
#
if [ -z "$machine" ]
then
- machine="$build"
+ echo No build system name given
+ exit 1
fi
target=../fixinc.sh
@@ -65,6 +66,9 @@
i?86-sequent-ptx* | i?86-sequent-sysv[34]*)
fixincludes=fixinc.ptx
+ ;;
+
+ *-*-linux* )
;;
alpha*-dec-vms* | \